Package org.eclipse.nebula.jface.gridviewer

## Class GridColumnLabelProvider

- java.lang.Object
- - ColumnLabelProvider
  - - org.eclipse.nebula.jface.gridviewer.GridColumnLabelProvider

    public class GridColumnLabelProvider
    extends ColumnLabelProvider

A label provider that provides hooks for extra functionality in the `Grid`. This is currently limited to supplying the row header text.

Only one from all `GridColumnLabelProvider` in a viewer should return a none `null`

### Constructor Summary

Constructors
`GridColumnLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumnSpan​(java.lang.Object element)` Returns the number of columns this element should span
`java.lang.String` `getRowHeaderText​(java.lang.Object element)` Returns the row header text for this element.
`int` `getRowSpan​(java.lang.Object element)` Returns the number of rows this element should span
`void` `update​(ViewerCell cell)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridColumnLabelProvider

    public GridColumnLabelProvider()

### Method Detail

#### getRowHeaderText

    public java.lang.String getRowHeaderText​(java.lang.Object element)

Returns the row header text for this element.

Parameters:
  `element` - the model element
Returns:
  the text displayed in the row-header or `null` if this label provider would not like to modify the default text

#### getColumnSpan

    public int getColumnSpan​(java.lang.Object element)

Returns the number of columns this element should span

Parameters:
  `element` - the model element
Returns:
  colSpan

#### getRowSpan

    public int getRowSpan​(java.lang.Object element)

Returns the number of rows this element should span

Parameters:
  `element` - the model element
Returns:
  rowSpan

#### update

    public void update​(ViewerCell cell)